using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MagnetPowerUpEffect : PowerUpEffect
{
    private GameObject _player;
    private PlayerObjectShared _playerObjectShared;
    public GameObject coredVersionGO;

    // Start is called before the first frame update
    void Start()
    {
        _player = GameEngine.mainPlayer;
        _playerObjectShared = _player.GetComponent<PlayerObjectShared>();
    }

    public override void OnPickUp()
    {
        Transform coreHolder = _player.transform.Find("PlayerModel/CoreHolder");
        for (int i = 0; i < coreHolder.transform.childCount; i++)
        {
            Destroy(coreHolder.GetChild(i).gameObject);
        }
        GameObject newSpecialCore = Instantiate(coredVersionGO, coreHolder);        
        PowerUpEffect newMagnetEffect = newSpecialCore.GetComponent<MagnetEmbedPowerUpEffect>();
        _playerObjectShared.AttachPickUp(newMagnetEffect);
    }

    public override void ApplyEffect()
    {        
    }

    public override bool OnUseEffect()
    {
        return false;
    }

    public override float CooldownStatus()
    {
        return 0.0f;
    }

    public override bool PowerUpReady()
    {
        return false;
    }
}
